/* $Log:	drawrule.c,v $
 * Revision 0.8  92/11/23  19:46:45  19:46:45  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:29  02:41:29  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:47:45  21:47:45  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:32  16:25:32  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:45:48  02:45:48  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:39  12:45:39  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:28:56  17:28:56  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:47  23:58:47  bt (Bo Thide')
 * First Release.
 *  */

#include <stdio.h>
#include "globals.h"
#include "pcl.h"

static char rcsid[] = "$Header: drawrule.c,v 0.8 92/11/23 19:46:45 bt Exp $";

/*
 * This procedure draws a rule (a solid black rectangle) of a pixels
 * in height and b pixels in width. Positioning is again essential.
 * The LaserJet+ makes this very easy.
 */
void drawrule(bitfile, a, b, hh, vv)
FILE	*bitfile;
long	a, b, hh, vv;
{ 

#ifdef DEBUG
	fprintf(stderr,"\ndrawrule: a = %ld, b = %ld\n", a, b);
#endif /* DEBUG */

	fprintf(bitfile, PCL4_MOVE_V_POSITION, vv + v_offset - a + 1 );
	v_posed = FALSE;
	if(!h_posed)
		fprintf(bitfile, PCL4_MOVE_H_POSITION, hh + h_offset);
	h_posed = FALSE;
	fprintf(bitfile, PCL4_DRAWRULE, a, b);
}
